{"id":24611,"date":"2020-09-28T07:23:08","date_gmt":"2020-09-28T06:23:08","guid":{"rendered":"https:\/\/developer.kore.ai\/v10\/?p=24611"},"modified":"2023-07-26T12:08:05","modified_gmt":"2023-07-26T11:08:05","slug":"extract-from-file-or-url-kg","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10\/docs\/bots\/api-guide\/extract-from-file-or-url-kg\/","title":{"rendered":"Extraction from file or URL &#8211; KG"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To extract the Knowledge Graph from the imported file or URL.<\/p>\n<p>&nbsp;<\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>POST<\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td><span style=\"font-weight: 400;\"><code>https:\/\/{{host}}\/api\/public\/bot\/{{botId}}\/qna\/import?language=en<\/code><\/span><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"_blank\" rel=\"noopener noreferrer\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li>Bot Builder: Manage Knowledge Graph<\/li>\n<li>Admin Console: Manage Knowledge Graph<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<th><b>Mandate<\/b><\/th>\n<\/tr>\n<tr>\n<td><b>host<\/b><\/td>\n<td>The environment URL. For example, <code>https:\/\/bots.kore.ai<\/code><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>BotId<\/b><\/td>\n<td><i>Bot ID<\/i> or <i>Stream ID<\/i> can be accessed under <b>General Settings<\/b> on the Bot Builder.<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<th><b>Mandate<\/b><\/th>\n<\/tr>\n<tr>\n<td><b>language<\/b><\/td>\n<td>The Bot language which is identified by the language acronym. For example, <em>en<\/em> for English and <em>de<\/em> for German. The user can set the default language of the bot.<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request_Extraction_using_URL\">Sample Request (Extraction using URL)<\/span><\/h2>\n<pre data-pm-slice=\"1 1 &#091;&#093;\">curl --location '<a href=\"https:\/\/bots.kore.ai\/api\/public\/bot\/st-2be3c498-d718-5160-853c-0166b82bc41c\/qna\/import?language=en'\">https:\/\/bots.kore.ai\/api\/public\/bot\/st-2be3c498-d718-5160-853c-0166b82bc41c\/qna\/import?language=en'<\/a> \\\r\n--header 'auth: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkiLCJuYW1lIjoiam9obiIsImFwcElkIjoiY3MtZmU2NTBlMjctZWIxOS01OTE3LWIxY2UtNDVlZGJmYjYzNGJhIn0.Dy3CzfVMMhr0Wq1xhO1YaorUpwkd3IK44J_pBwMqHTk' \\\r\n--header 'content-type: application\/json' \\\r\n--data '{\r\n    \"fileUrl\":\"<a href=\"https:\/\/www.icicibank.com\/nri-banking\/money_transfer\/faq\/m2i-rewards-program\/loyalty-program.page%22,\" data-inline-card=\"\" data-card-data=\"\">https:\/\/www.icicibank.com\/nri-banking\/money_transfer\/faq\/m2i-rewards-program\/loyalty-program.page%22,<\/a> \r\n    \"name\":\"Test\"\r\n\r\n }'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><\/h2>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Request_Extraction_using_File\">Sample Request (Extraction using File)<\/span><\/h2>\n<pre data-pm-slice=\"1 1 &#091;&#093;\">curl --location '<a href=\"https:\/\/bots.kore.ai\/api\/public\/bot\/st-2be3c498-d718-5160-853c-0166b82bc41c\/qna\/import?language=en'\">https:\/\/bots.kore.ai\/api\/public\/bot\/st-2be3c498-d718-5160-853c-0166b82bc41c\/qna\/import?language=en'<\/a> \\\r\n--header 'auth: eyJhbGciOiJIUzI1NiIsInR5cCI6Ik<wbr \/>pXVCJ9.ey<wbr \/>JzdWIiOiIxMjM0NTY3ODkiLCJuYW1l<wbr \/>Ijoiam9obiIsImFwcElkIjoiY3MtZm<wbr \/>U2NTBlMjctZWIxOS01OTE3LWIxY2Ut<wbr \/>NDVlZGJmYjYzNGJhIn0.Dy3CzfVMMhr0Wq1xhO1YaorUpwkd3I<wbr \/>K44J_pBwMqHTk' \\\r\n--header 'content-type: application\/json' \\\r\n--header 'Cookie: AWSALB=ywKTJVAcCplRMGaJXRvhZ4gUvOCrfYhOjeqvdYirqAyRQyP9WpTDeNwZI1tDwgoP\/CiA6G6j2DxXGWIbCEWdjaiq1ehA2Xo\/YxwOBDi02Ix9cbcGYum8P1bxBSq1; AWSALBCORS=ywKTJVAcCplRMGaJXRvhZ4gUvOCrfYhOjeqvdYirqAyRQyP9WpTDeNwZI1tDwgoP\/CiA6G6j2DxXGWIbCEWdjaiq1ehA2Xo\/YxwOBDi02Ix9cbcGYum8P1bxBSq1' \\\r\n--data '{\r\n    \"fileId\":\"64c0facd1913a83c147847ca\",\r\n    \"name\": \"Test2\"\r\n}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<th>Mandate<\/th>\n<\/tr>\n<tr>\n<td><b>fileUrl<\/b><\/td>\n<td>The URL pointing to the location of the FAQs to be extracted.<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>fileId<\/b><\/td>\n<td>The <i>File id<\/i> pointing to the FAQ file&#8217;s location.<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>name<\/b><\/td>\n<td>The name provided to the FAQ.<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre>{ \r\n      \u201c_id\u201d: &lt;extractionId&gt;, \r\n      \u201cstatus\u201d: \u201csuccess\u201d\r\n} \r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To extract the Knowledge Graph from the imported file or URL. &nbsp; Method POST Endpoint https:\/\/{{host}}\/api\/public\/bot\/{{botId}}\/qna\/import?language=en Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Manage Knowledge Graph Admin Console: Manage Knowledge Graph &nbsp; Path Parameters Parameter Description Mandate host The environment URL. For example, https:\/\/bots.kore.ai Required...","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-24611","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10\/wp-json\/wp\/v2\/posts\/24611","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10\/wp-json\/wp\/v2\/comments?post=24611"}],"version-history":[{"count":13,"href":"https:\/\/developer.kore.ai\/v10\/wp-json\/wp\/v2\/posts\/24611\/revisions"}],"predecessor-version":[{"id":56776,"href":"https:\/\/developer.kore.ai\/v10\/wp-json\/wp\/v2\/posts\/24611\/revisions\/56776"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10\/wp-json\/wp\/v2\/media?parent=24611"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10\/wp-json\/wp\/v2\/categories?post=24611"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10\/wp-json\/wp\/v2\/tags?post=24611"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}